


void lcd_drive(void)
{
	if(flcd_dis_en)
	{
	    switch(lcd_step)
	    {
	    	case 0:
	    	{
		    icom1=0;
		    PAE=0x1;
		    icom2=1;
		    icom3=1;
		    icom4=1;
		    PDD=seg1;		    		    		    	    	 
	    	}
	    	break;
	    	
	    	case 1:
	    	{
		    icom2=0;
		    PAE=0x2;
		    icom1=1;
		    icom3=1;
		    icom4=1;
		    PDD=seg2;		    		    		    	    	 
	    	}
	    	break;	
	    	
	    	case 2:
	    	{
		    icom3=0;
		    PAE=0x4;
		    icom1=1;
		    icom2=1;
		    icom4=1;
		    PDD=seg3;		    		    		    	    	 
	    	}
	    	break;	
	    	
	    	case 3:
	    	{
		    icom4=0;
		    PAE=0x8;
		    icom1=1;
		    icom2=1;
		    icom3=1;
		    PDD=seg4;		    		    		    	    	 
	    	}
	    	break;		
	    	
	    	case 4:
	    	{
		    icom1=1;
		    PAE=0x1;
		    icom2=1;
		    icom3=1;
		    icom4=1;
		    PDD=~seg1;		    		    		    	    	 
	    	}
	    	break;
	    	
	    	case 5:
	    	{
		    icom2=1;
		    PAE=0x2;
		    icom1=1;
		    icom3=1;
		    icom4=1;
		    PDD=~seg2;		    		    		    	    	 
	    	}
	    	break;    	
	    	
	    	case 6:
	    	{
		    icom3=1;
		    PAE=0x4;
		    icom1=1;
		    icom2=1;
		    icom4=1;
		    PDD=~seg3;		    		    		    	    	 
	    	}
	    	break; 
	    	
	    	case 7:
	    	{
		    icom4=1;
		    PAE=0x8;
		    icom1=1;
		    icom2=1;
		    icom3=1;
		    PDD=~seg4;		    		    		    	    	 
	    	}
	    	break; 		    	    	    	
	    }
	    if(++lcd_step==8)
	    {
	    	lcd_step=0;
	    }
	}	
	else
	{
	    lcd_step=0;
	    PAE=0x0;
	    PAD=0xff;	    	    	    	    
	}
}


 
void lcd_display(void)
{
	uchar i=0;
	if(flcd_pro)
	{
	    flcd_pro=0;
	    flcd_dis_en=0;
	    seg1=0;
	    seg2=0;    
	    seg3=0;
	    seg4=0; 
	    i=lcd_data/100;
	    seg_temp=lcd_table[i];
	    seg1_2=fseg5;
	    seg1_3=fseg0;   
	    seg2_2=fseg6;
	    seg2_3=fseg1;  
	    seg3_2=fseg4;
	    seg3_3=fseg2;  	    
	    seg4_2=fseg3;
	    seg4_3=fseg7;  
	    
	    seg_temp=lcd_table[0];
	    seg1_0=fseg5;
	    seg1_1=fseg0;   
	    seg2_0=fseg6;
	    seg2_1=fseg1;  
	    seg3_0=fseg4;
	    seg3_1=fseg2;  	    
	    seg4_0=fseg7;
	    seg4_1=fseg3;  	    
	    	         
	    i=lcd_data%100/10;   
	    seg_temp=lcd_table[i];
	    seg1_4=fseg5;
	    seg1_5=fseg0;   
	    seg2_4=fseg6;
	    seg2_5=fseg1;  
	    seg3_4=fseg4;
	    seg3_5=fseg2;  	    
	    seg4_4=fseg3;
	    seg4_5=fseg7; 
	    
	    i=lcd_data%100%10;   
	    seg_temp=lcd_table[i];
	    seg1_6=fseg5;
	    seg1_7=fseg0;   
	    seg2_6=fseg6;
	    seg2_7=fseg1;  
	    seg3_6=fseg4;
	    seg3_7=fseg2;  	    
	    seg4_6=fseg3;
	    seg4_7=fseg7; 
	    
	    flcd_dis_en=1; 	   	    
	}	
}