//*************************************************************
//*********************TM57PA20&40*****************************
//*************************************************************
//Head File
//-------------------------------------------------------------
//		-F_Plane register-
//-------------------------------------------------------------	
#define uchar unsigned char
#define uint unsigned int   
#define ubit unsigned bit


		uchar	INDF	@0X00:FPLANE;
		uchar	TMR0	@0X01:FPLANE;
		uchar	PC	@0X02:FPLANE;
		uchar	STATUS	@0X03:FPLANE;		
		ubit 	RAMB 	@0x03@5:FPLANE;
		ubit 	TO 	@0x03@4:FPLANE;	
		ubit 	PD 	@0x03@3:FPLANE;	
		ubit 	ZF 	@0x03@2:FPLANE;	
		ubit 	DF 	@0x03@1:FPLANE;	
		ubit 	CF	@0x03@0:FPLANE;												
		uchar	FSR	@0X04:FPLANE;	
		uchar	PAD	@0X05:FPLANE;
		ubit 	PAD7 	@0x05@7:FPLANE;				
		ubit 	PAD6 	@0x05@6:FPLANE;
		ubit 	PAD5 	@0x05@5:FPLANE;
		ubit 	PAD4 	@0x05@4:FPLANE;
		ubit 	PAD3 	@0x05@3:FPLANE;			
		ubit 	PAD2 	@0x05@2:FPLANE;
		ubit 	PAD1 	@0x05@1:FPLANE;			
		ubit 	PAD0 	@0x05@0:FPLANE;												
		uchar	PBD	@0X06:FPLANE;
		ubit 	PBD7 	@0x06@7:FPLANE;				
		ubit 	PBD6 	@0x06@6:FPLANE;
		ubit 	PBD5 	@0x06@5:FPLANE;
		ubit 	PBD4 	@0x06@4:FPLANE;
		ubit 	PBD3 	@0x06@3:FPLANE;			
		ubit 	PBD2 	@0x06@2:FPLANE;
		ubit 	PBD1 	@0x06@1:FPLANE;			
		ubit 	PBD0 	@0x06@0:FPLANE;														
		uchar	PDD	@0X07:FPLANE;	
		ubit 	PDD7 	@0x07@7:FPLANE;			
		ubit 	PDD6 	@0x07@6:FPLANE;
		ubit 	PDD5 	@0x07@5:FPLANE;
		ubit 	PDD4 	@0x07@4:FPLANE;
		ubit 	PDD3 	@0x07@3:FPLANE;			
		ubit 	PDD2 	@0x07@2:FPLANE;
		ubit 	PDD1 	@0x07@1:FPLANE;			
		ubit 	PDD0 	@0x07@0:FPLANE;				
			
			
			
		uchar	INTF	@0X09:FPLANE;				
		ubit 	TMR1F 	@0x09@5:FPLANE;
		ubit 	TMR0F 	@0x09@4:FPLANE;	
		ubit 	WKTF 	@0x09@3:FPLANE;	
		ubit 	XT2F 	@0x09@2:FPLANE;	
		ubit 	XT1F 	@0x09@1:FPLANE;	
		ubit 	XT0F	@0x09@0:FPLANE;			
		uchar	TMR1	@0X0A:FPLANE;
		uchar	PWM0DUTYH	@0X0C:FPLANE;				
		uchar	PWM0DUTYL	@0X0D:FPLANE;	
		uchar	PWM1DUTYH	@0X0E:FPLANE;				
		uchar	PWM1DUTYL	@0X0F:FPLANE;	
			
		uchar	ADCDH	@0X10:FPLANE;				
		uchar	ADCDL	@0X11:FPLANE;			
		uchar	ADCSEL	@0X11:FPLANE;				
		ubit 	ADCSTART	@0x11@3:FPLANE;						
			
//RAM 20~27  R/W  - 				;Internal RAM  Common Area 
//RAM 28~7F  R/W  - 				;Internal RAM  RAM Bank0
//RAM 28~7F  R/W  - 				;Internal RAM  RAM Bank1 									
//-------------------------------------------------------------
//		-R-Plane  register-
//-------------------------------------------------------------				
		uchar	TM0CTR	@0X02:RPLANE;								
		uchar	PWRDOWN	@0X03:RPLANE;	
		uchar	CLRWDT	@0X04:RPLANE;
		uchar	PAE	@0X05:RPLANE;				
		uchar	PBE	@0X06:RPLANE;								
		uchar	PDE	@0X07:RPLANE;				
		uchar	PAPU	@0X08:RPLANE;						
		uchar	PBPU	@0X09:RPLANE;				
		uchar	PDPU	@0X0A:RPLANE;				
		uchar	BPITW	@0X0B:RPLANE;				
		uchar	BATM	@0X0C:RPLANE;				
		uchar	TM1RELD	@0X0D:RPLANE;							
		uchar	INTE	@0X0E:RPLANE;						
		uchar	TESTREG	@0X0F:RPLANE;				
		uchar	BUZCTR	@0X10:RPLANE;	
		uchar	ADCTRIM	@0X11:RPLANE;				
		uchar	ADCIE	@0X12:RPLANE;				
			
			
			